package edu.unu.iist.rcos.spec.antlr.test;

import org.junit.*;

import edu.unu.iist.rcos.mm.resources.tests.CoCoME_Loader;
import edu.unu.iist.rcos.spec.antlr.MyRCOSModel;
import edu.unu.iist.rcos.spec.antlr.MyRCOSModel.*;

public class Test_MyRCOSModel_CoCoME extends CoCoME_Loader {

	String filename="test.uml";
	
	@Test
	public void test_CoCoME_Parse() throws Exception {
		MyRCOSModel m = new MyRCOSModel(filename, "test", new RCOSFromFile("../examples/CoCoME/cocome/CoCoME.rcosp"));
		m.save();
	}
	
	@Test
	public void test_CoCoME_exe_Parse() throws Exception {
		new MyRCOSModel(filename, "test", new RCOSFromFile("../examples/CoCoME/cocome/CoCoME-exe.rcosp"));
	}
	
	@Test
	public void test_CoCoME_R_Parse() throws Exception {
		new MyRCOSModel(filename, "test", new RCOSFromFile("../examples/CoCoME/cocome_usecase_refinement/CoCoME.rcosp"));
	}
	
	@Test
	public void test_CoCoME_123_Parse() throws Exception {
		new MyRCOSModel(filename, "test", new RCOSFromFile("../examples/CoCoME/cocome_usecase_refinement_1_2_3/CoCoME.rcosp"));
	}
	
	@Test
	public void test_CoCoME_R_Payment_Parse() throws Exception {
		new MyRCOSModel(filename, "test", new RCOSFromFile("../examples/CoCoME/cocome_usecase_refinement/CoCoME_Payment.rcosp"));
	}
}
