package edu.unu.iist.rcos.spec.antlr.parser;

import org.antlr.runtime.RecognitionException;
import org.antlr.runtime.Token;

public class SemanticError extends RecognitionException {
	private static final long serialVersionUID = 1L;
	String msg;
    public SemanticError(Token tok, String m){
       token = tok;
       node = tok;
       line = tok.getLine();
       charPositionInLine = tok.getCharPositionInLine();
       msg = m;
    }
    public String getMessage(){
    	return msg;
    }
}