package edu.unu.iist.rcos.spec.antlr.visitor;

import edu.unu.iist.rcos.spec.antlr.Vardecls;
import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.TOKEN;
import edu.unu.iist.rcos.spec.antlr.visitor.check.GetTypeException;

public class ChokeException extends GetTypeException {
	private static final long serialVersionUID = 1L;
	public final Vardecls vdecls;
	public final TOKEN token;
	public ChokeException(Vardecls vs, TOKEN here) {
		super("choke",here);
		token = here; // we keep the token so that we can patch the AST later
		vdecls = vs;
	}
}
