package edu.unu.iist.rcos.spec.antlr.visitor;

import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.TYPE;

/**
 * @author stolz
 *
 * A type visitor that does not actually do anything.
 */
public class TypeNullVisitor<R,VE extends VisitorException> extends TypeBaseVisitor<R, VE> {

	@Override
	public void visit(TYPE d) throws VE {
		return;
	}

	@Override
	public R run(TYPE t, R r) {
		return null;
	}
}
