package edu.unu.iist.rcos.spec.antlr.visitor;

import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.*;

/**
 * @author Charles Morisset
 */
public class TypeVisitor<R, E extends VisitorException> extends TypeGenVisitor<R, E> {

	@Override
	protected void visit(NAT d) throws E {
		return;
	}

	@Override
	protected void visit(CHAR d) throws E {
		return;
	}

	@Override
	protected void visit(LONG d) throws E {
		return;
	}

	@Override
	protected void visit(DOUBLE d) throws E {
		return;
	}

	@Override
	protected void visit(BOOLEAN d) throws E {
		return;
	}

	@Override
	protected void visit(INT d) throws E {
		return;
	}

	@Override
	protected void visit(STRING d) throws E {
		return;
	}

	@Override
	protected void visit(GTYPE type) throws E {
		for (TYPE t : type.getPar()) 
			visit(t);
	}
}


