package edu.unu.iist.rcos.spec.antlr.visitor;

public abstract class VisitorException extends Exception {

	private static final long serialVersionUID = -794642563435652227L;

	public VisitorException(String m) {
		super(m);
	}

	public VisitorException(Exception e) {
		this(e.getMessage(),e);
	}
	
	public VisitorException(String string, Throwable t) {
		this(string);
		initCause(t);
	}

	public VisitorException(Throwable t) {
		this(t.getMessage());
		initCause(t);
	}
}