package edu.unu.iist.rcos.spec.antlr.visitor.transformation;

import static edu.unu.iist.rcos.spec.antlr.MyDesign.*;
import edu.unu.iist.rcos.spec.antlr.DesignUtility;
import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.*;
import edu.unu.iist.rcos.spec.antlr.visitor.*;

public class DesignAbstractionSetOps extends DesignGenCopy<VisitorException,ExpAbstractionSetOps>{

	public static String addName = "add";

	public DesignAbstractionSetOps() {
		super(new ExpAbstractionSetOps());
	}

	protected void visit(MCALL m) throws VisitorException{
		if (m.getName().equals(addName)) {
			String var = ev.mkCounter(m.getOwner()); 
			ASSIGN a = createAssign(createVar(var, createInt(), false),
					createAOp(AOps.PLUS, createVar(var, createInt(),  true), createBaseInt("1")));
			set(a);
		}
		else set(DesignUtility.copyDesign(m));
	}
}
