package edu.unu.iist.rcos.spec.antlr.visitor.transformation;

import edu.unu.iist.rcos.spec.antlr.DesignUtility;
import static edu.unu.iist.rcos.spec.antlr.MyDesign.*;
import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.*;
import edu.unu.iist.rcos.spec.antlr.visitor.*;

public class ExpAbstractionSetOps extends ExpCopy<VisitorException> {

	@Override
	protected void visit(MCALL m) throws VisitorException{
		if (m.getName().equals(DesignAbstractionSetOps.addName)) { // TODO: PO
			String var = mkCounter(m.getOwner());
			BINEXP be = createRelOp(RelOps.EQ, createVar(var, createInt(), true),
					createAOp(AOps.PLUS, createVar(var, createInt(), false), createBaseInt("1")));
			set(be);
		}
		else set (DesignUtility.copyExpression(m));
	}

	String mkCounter(EXP e) {
		return DesignUtility.expToString(e).replace(".", "_") + "_Counter";
	}
}
