package edu.unu.iist.rcos.spec.antlr.visitor.transformation.refinement;

import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.EXP;
import edu.unu.iist.rcos.spec.antlr.visitor.ExpCopy;

/**
 * @author Charles Morisset
 *
 */
public class ExpRefinement<RE extends RefinementException> extends ExpCopy<RE> {

	protected boolean modified; 

	protected void setModified(EXP e) {
		modified = true;
		set(e);
	}
	
	public void unsetModified() {
		modified = false;
	}
	
	public boolean isModified() {
		return modified;
	}
}
