package edu.unu.iist.rcos.spec.antlr.test;

import org.junit.Test;
import static edu.unu.iist.rcos.spec.antlr.test.Test_Grammar.translation;

public class Test_OnePlaceBuffer {

	@Test
	public void test_Buffer_1_1() throws Exception {
		translation("../examples/one-place-buffer/OnePlace-OneIf.rcosp");
	}
	
	@Test
	public void test_Buffer_1_1_Mangle() throws Exception {
		// Do we want to support this?
		translation("../examples/one-place-buffer/OnePlace-OneIf-Mangle.rcosp");
	}
	
	@Test
	public void test_Buffer_1_2() throws Exception {
		translation("../examples/one-place-buffer/OnePlace-TwoIf.rcosp");
	}
	
	@Test
	public void test_Buffer_1_2Wrapped() throws Exception {
		translation("../examples/one-place-buffer/OnePlace-TwoIfWrapped.rcosp");
	}
	
	@Test
	public void test_Buffer_Other() throws Exception {
		translation("../examples/OnePlaceBuffer/OnePlaceBuffer.rcosp");
	}

}
