package edu.unu.iist.rcos.spec.antlr.test;

import org.junit.Test;

import edu.unu.iist.rcos.spec.antlr.ParseRCOSModelTC;
import edu.unu.iist.rcos.spec.antlr.MyRCOSModel.RCOSFromFile;

public class Test_ParseRCOSModelTC_Buffer {

	String filename="test.uml";
	String filename2="test-2.uml";
	
	@Test
	public void test_UTP_W_Parse() throws Exception {		
		new ParseRCOSModelTC(filename, "test", new RCOSFromFile("../examples/OnePlaceBuffer/2PB-UTP08-w.rcosp"));
	}
	
	@Test
	public void test_UTP_Parse() throws Exception {
		new ParseRCOSModelTC(filename, "test", new RCOSFromFile("../examples/OnePlaceBuffer/2PB-UTP08.rcosp"));
	}
	
	@Test
	public void test_ONE_PLACE_BUFFER_Parse() throws Exception {
		new ParseRCOSModelTC(filename, "test", new RCOSFromFile("../examples/OnePlaceBuffer/OnePlaceBuffer.rcosp"));
	}
	
	@Test
	public void test_TWO_PLACE_BUFFER_Parse() throws Exception {
		new ParseRCOSModelTC(filename, "test", new RCOSFromFile("../examples/OnePlaceBuffer/TwoPlaceBuffer.rcosp"));
	}
}
