package edu.unu.iist.rcos.modeler.translation;

import org.antlr.runtime.RecognitionException;

import edu.unu.iist.rcos.mm.util.WellformedException;

public class ExportException extends Exception {

	private static final long serialVersionUID = -3497666241222041032L;

	public ExportException(String string) {
		super(string);
	}
	public ExportException(String string, Throwable t) {
		super(string,t);
	}
	public ExportException(WellformedException e) {
		this("Model not wellformed:\n"+e.getMessage(),e);
	}
	
	public ExportException(RecognitionException e) {
		this("Syntax error in model:\n"+e.getMessage(),e);
	}
	
	public ExportException(Throwable e) {
		super(e);
	}

};