package edu.unu.iist.rcos.spec.antlr.visitor;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.uml2.uml.*;

import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.CHOKE;
import edu.unu.iist.rcos.spec.antlr.visitor.check.ExpGetAllOperations;
import edu.unu.iist.rcos.spec.antlr.visitor.check.GetTypeException;

/**
 * @author charles
 *
 */
public class DesignGetAllOperations extends 
	DesignVisitor<Collection<Operation>, Collection<Operation>, Void, GetTypeException, TypeVisitor<Void, GetTypeException>, ExpGetAllOperations> {

	public DesignGetAllOperations(Classifier cl) {
		super(new ExpGetAllOperations(cl));
	}

	public Collection<Operation> getResult() throws GetTypeException {
		if (ev.isInit())
			return ev.getResult();
		else 
			return new ArrayList<Operation>();
	}

	@Override
	protected void visit(CHOKE d) throws GetTypeException {
		// NADA
	}
}
