package edu.unu.iist.rcos.spec.antlr.visitor;

import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.*;

public class ExpCopy<VE extends VisitorException> extends ExpTypeVisit<VE,TypeCopy<VE>> {
	
	public ExpCopy() {
		super(new TypeCopy<VE>());
	}

	@Override
	protected void visit(AOP b) throws VE{
		EXP left = run(b.getLeft());
		EXP right = run(b.getRight());
		setBINEXP(b, left, right);
	}
	
	@Override
	protected void visit(RELOP b) throws VE{
		EXP left = run(b.getLeft());
		EXP right = run(b.getRight());
		setBINEXP(b, left, right);
	}
	
	@Override
	protected void visit(LOGOP b) throws VE{
		EXP left = run(b.getLeft());
		EXP right = run(b.getRight());
		setBINEXP(b, left, right);
	}

	@Override
	protected void visit(VARNAME var) throws VE {
		// Coming from VARDECL
	}
}
