package edu.unu.iist.rcos.spec.antlr.visitor.check;

import java.util.HashSet;
import java.util.Set;

import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.*;
import edu.unu.iist.rcos.spec.antlr.visitor.*;

/**
 * @author charles
 *
 */
public class DesignGetVarNames extends DesignVisitor<Set<String>, Void, Void, VisitorException, 
TypeBaseVisitor<Void, VisitorException>, ExpVisitor<Void, Void, VisitorException, TypeBaseVisitor<Void, VisitorException>>> {

	public DesignGetVarNames() {
		super(new ExpVisitor<Void, Void, VisitorException, TypeBaseVisitor<Void, VisitorException>> (
				new TypeNullVisitor<Void, VisitorException>()){

			@Override protected void visit(CNAME c) throws VisitorException {}
			@Override protected void visit(VARNAME var) throws VisitorException {}
			@Override protected void visit(BASEBOOL d) throws VisitorException {}
			@Override protected void visit(BASEINT d) throws VisitorException {}
			@Override protected void visit(BASESTRING d) throws VisitorException {}
			@Override protected void visit(BASEDOUBLE d) throws VisitorException {}
			@Override protected void visit(BASEENUM d) throws VisitorException {}
		});
		state = new HashSet<String>();
	}

	protected void visit(VARDECL vd) {
		state.add(vd.getVar().getName());
	}

	@Override
	protected void visit(CHOKE d) throws VisitorException {
		// NADA
	}
}
