package edu.unu.iist.rcos.spec.antlr.visitor.check;

import java.util.ArrayList;
import java.util.Collection;

import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.*;
import edu.unu.iist.rcos.spec.antlr.visitor.ExpVisitor;
import edu.unu.iist.rcos.spec.antlr.visitor.TypeVisitor;
import edu.unu.iist.rcos.spec.antlr.visitor.VisitorException;

/**
 * Should better be called ExpGetDASHABLES.
 */
public class ExpGetVariables extends ExpVisitor<Collection<DASHABLE>,Void, VisitorException, TypeVisitor<Void, VisitorException>> {
	
	public ExpGetVariables() {
		super(new TypeVisitor<Void, VisitorException>());
		state = new ArrayList<DASHABLE>();
	}

	@Override
	public void visit(DASHABLE e) throws VisitorException {
		state.add(e);
	}

	@Override protected void visit(CNAME c) throws VisitorException {}
	@Override protected void visit(VARNAME var) throws VisitorException {}
	@Override protected void visit(BASEBOOL d) throws VisitorException {}
	@Override protected void visit(BASEINT d) throws VisitorException {}
	@Override protected void visit(BASESTRING d) throws VisitorException {}
	@Override protected void visit(BASEDOUBLE d) throws VisitorException {}
	@Override protected void visit(BASEENUM d) throws VisitorException {}
}
