package edu.unu.iist.rcos.spec.antlr.visitor.check;

import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.*;
import edu.unu.iist.rcos.spec.antlr.visitor.*;

public class ExpIsSimpleExpression extends ExpVisitor<Boolean,Void, VisitorException, TypeBaseVisitor<Void, VisitorException>> {

	public ExpIsSimpleExpression() {
		super(new TypeNullVisitor<Void, VisitorException>());
		state = true;
	}
	
	public void reset() {
		state = true;
	}
	
	protected void visit(PREDICATE p){
		set(false);
	}

	@Override protected void visit(CNAME c) throws VisitorException {}
	@Override protected void visit(VARNAME var) throws VisitorException {}
	@Override protected void visit(BASEBOOL d) throws VisitorException {}
	@Override protected void visit(BASEINT d) throws VisitorException {}
	@Override protected void visit(BASESTRING d) throws VisitorException {}
	@Override protected void visit(BASEDOUBLE d) throws VisitorException {}
	@Override protected void visit(BASEENUM d) throws VisitorException {}
}