package edu.unu.iist.rcos.spec.antlr.visitor.check;

import edu.unu.iist.rcos.mm.util.TypingException;
import edu.unu.iist.rcos.spec.antlr.RCOSModelCheckException;
import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.TOKEN;
import edu.unu.iist.rcos.spec.antlr.visitor.VisitorException;

public class GetTypeException extends VisitorException {
	private static final long serialVersionUID = 1L;

	public GetTypeException(String string, TOKEN v) {
		super(RCOSModelCheckException.mkString(string,v));
	}

	public GetTypeException(TypingException e) {
		super(e);
	}

	public GetTypeException(String msg, Exception e) {
		super(msg, e);
	}
};
