package edu.unu.iist.rcos.spec.antlr.visitor.transformation.refinement;

import org.eclipse.uml2.uml.Classifier;

import edu.unu.iist.rcos.spec.antlr.SyntaxTree.SyntaxTree_ClassModel.MCALL;
import edu.unu.iist.rcos.spec.antlr.visitor.transformation.expert.ExpertPatternException;

public class DesignReplaceGetter extends DesignRefinement<ExpertPatternException, ExpReplaceGetter> {

	public DesignReplaceGetter(Classifier cl) {
		super(new ExpReplaceGetter(cl,false), cl);
	}

	@Override
	public void visit(MCALL m) throws ExpertPatternException {
		set((MCALL) new ExpReplaceGetter(ev,true).run(m));
	}
}